{ fetchzip, appimageTools }:

let
  pname = "git-butler";
  version = "0.12.4";
  buildNum = "994";

  srcZipped = fetchzip {
    url = "https://releases.gitbutler.com/releases/release/${version}-${buildNum}/linux/x86_64/git-butler_${version}_amd64.AppImage.tar.gz";
    hash = "sha256-+QP+H0bVSLbobv/W6lFBbl08RnwKvG8BVo68bwMrAzM=";
  };
in
appimageTools.wrapType2 {
  inherit pname version;
  src = "${srcZipped}/git-butler_${version}_amd64.AppImage";
}
